using System;

internal sealed class Delegate173 : MulticastDelegate
{
	public extern int Invoke(ref long long_0);

	public static int smethod_0(ref long long_0, Delegate173 delegate173_1)
	{
		return delegate173_1(ref long_0);
	}

	public extern Delegate173(object object_0, IntPtr intptr_0);

	static Delegate173()
	{
		Class10.smethod_13(typeof(Delegate173).TypeHandle);
	}

	internal static Delegate173 delegate173_0;
}
